// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/widgets.dart';
import 'package:flutter_bloc/flutter_bloc.dart' as blocbase;

/// Bloc [B] specific mixin that provides implementation
/// of helper methods for events.
mixin BlocProviderMixin<B extends blocbase.Bloc<E, Object>, E> {
  /// Add an event to the [B].
  ///
  /// Short hand for `context.read<Bloc>().add(event)`.
  void add(BuildContext context, E event) => context.read<B>().add(event);
}
