// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/material.dart';
import 'package:gap/gap.dart';

const _iconSpacing = 25.0;

class SkillCardIcons extends StatelessWidget {
  const SkillCardIcons({
    super.key,
    this.icons,
  });

  /// The icons of the card header.
  final List<Widget>? icons;

  @override
  Widget build(BuildContext context) {
    final result = <Widget>[];
    for (final widget in icons ?? List<Widget>.empty()) {
      result.addAll([widget, const Gap(_iconSpacing)]);
    }
    result.removeLast();
    return Row(
      mainAxisAlignment: MainAxisAlignment.center,
      children: result,
    );
  }
}
